You are not logged in.

#1 2019-05-22 15:15:42

rossboulet
Member
Registered: 2017-12-13
Posts: 36

[SOLVED] pacman warnings on glibc, libjpeg-turbo, libutil-linux, and

a pacman -Su produced the following warnings today:

warning: glibc: local (2.29-1.26) is newer than core (2.29-1.3)
warning: libjpeg-turbo: local (2.0.2-1.1) is newer than extra (2.0.2-1.0)
warning: libutil-linux: local (2.33.2-1.2) is newer than core (2.33.2-1.1)
warning: libxml2: local (2.9.9-2.3) is newer than extra (2.9.9-2.0)

Are these really downgrades or are they package naming issues?

Last edited by rossboulet (2019-05-22 16:25:53)

Offline

#2 2019-05-22 16:07:29

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 463

Re: [SOLVED] pacman warnings on glibc, libjpeg-turbo, libutil-linux, and

Have you disabled the testing repos recently?  I note that in my testing repo there's a libxml2 -2.3 which I have installed but only a -2.0 in extra.

The glibc looks like it could be caused by moving to pentium4.  My old archived i686 copy is -1.26 but my installed pentium4 copy is -1.3.  Run 'pacman-conf Architecture' to confirm which repos you're currently using.  I assume you did follow the instructions posted in news, and ran the pacman -Qqn... command.


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

#3 2019-05-22 16:25:20

rossboulet
Member
Registered: 2017-12-13
Posts: 36

Re: [SOLVED] pacman warnings on glibc, libjpeg-turbo, libutil-linux, and

lol. You know what happens when you assume. I didn't realize the pentium4 architecture was happening automatically. Now I see it will if you have the SSE2 hardware. I had specifically changed another system to pentium4, but this one was still on auto and I had not run the pacman commands to change all the packages.

Offline

#4 2019-05-22 21:23:55

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 463

Re: [SOLVED] pacman warnings on glibc, libjpeg-turbo, libutil-linux, and

Heh, as long as it's both you and me, I don't mind so much.


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

#5 2019-05-22 23:10:23

bulletmark
Member
Registered: 2018-05-30
Posts: 18

Re: [SOLVED] pacman warnings on glibc, libjpeg-turbo, libutil-linux, and

I had read the instructions but also didn't realize that the the pentium4 updates were going to happen automatically. So just now I ran the "pacman -Qqn | pacman -S -" on my remote box via ssh, then crossed my fingers and rebooted. It came back up fine.

Offline

Board footer

Powered by FluxBB